Mandriva Linux Security Advisory : ettercap (MDVSA-2013:077)

High Nessus Plugin ID 66091


The remote Mandriva Linux host is missing a security update.


Updated ettercap package fixes security vulnerability :

The GTK version of ettercap uses a global settings file at /tmp/.ettercap_gtk and does not verify ownership of this file. When parsing this file for settings in gtkui_conf_read\(\) (src/interfaces/gtk/ec_gtk_conf.c), an unchecked sscanf\(\) call allows a maliciously placed settings file to overflow a statically-sized buffer on the stack (CVE-2010-3843).


Update the affected ettercap package.

Plugin Details

Severity: High

ID: 66091

File Name: mandriva_MDVSA-2013-077.nasl

Version: $Revision: 1.4 $

Type: local

Published: 2013/04/20

Modified: 2015/01/19

Dependencies: 12634

Risk Information

Risk Factor: High


Base Score: 7.5

Temporal Score: 5.9

Vector: CVSS2#AV:N/AC:L/Au:N/C:P/I:P/A:P

Temporal Vector: CVSS2#E:POC/RL:OF/RC:ND

Vulnerability Information

CPE: p-cpe:/a:mandriva:linux:ettercap, cpe:/o:mandriva:business_server:1

Required KB Items: Host/local_checks_enabled, Host/cpu, Host/Mandrake/release, Host/Mandrake/rpm-list

Exploit Available: true

Exploit Ease: Exploits are available

Patch Publication Date: 2013/04/09

Reference Information

CVE: CVE-2010-3843

BID: 44078

MDVSA: 2013:077

MGASA: 2012-0214